Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.bcel.util
Interface BCELComparator

    public interface BCELComparator

Used for BCEL comparison strategy

Since:
  5.2
Version:
  $Id: BCELComparator.java 410087 2006-05-29 12:12:19Z tcurdt $

Method Summary
`boolean` | `equals(Object THIS, Object THAT)` Compare two objects and return what THIS.equals(THAT) should return
`int` | `hashCode(Object THIS)` Return hashcode for THIS.hashCode()

Method Detail

### equals

    boolean equals(Object THIS,
                   Object THAT)

  Compare two objects and return what THIS.equals(THAT) should return

  Parameters:
    `THIS` -
    `THAT` -
  Returns:
    true if and only if THIS equals THAT

### hashCode

    int hashCode(Object THIS)

  Return hashcode for THIS.hashCode()

  Parameters:
    `THIS` -
  Returns:
    hashcode for THIS.hashCode()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 Apache Software Foundation. All Rights Reserved.